---
title: "Retrieves list of destinations"
url: "https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24/operations/getDestinations"
---

> Full API specification: https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24.md

# Retrieves list of destinations

`GET` `/destinations`

Operation ID: `getDestinations`

Retrieves list of destinations<br/><br/>If there are more pages of the result, header will contain custom String field - Link, which will contain URLs where other pages of the results can be reached.<br/>For example:<br/>Link: &lt;protocol://server_address:port/public-flights/resource&gt; ; rel="first", <br/>&lt;protocol://server_address:port/public-flights/resource?page=10&gt; rel="last", <br/>&lt;protocol://server_address:port/public-flights/resource?page=3&gt; rel="next", <br/>&lt;protocol://server_address:port/public-flights/resource?page=1&gt; rel="prev"<br/><br/>

## Query parameters

- `page` (integer, int32, optional) - Page number
- `sort` (string, optional) - Specifies which field to use for sorting. Allowed fields are publicName.dutch, publicName.english, iata, country and city.. Use plus or minus sign to indicate ascending or descending order.

## Header parameters

- `Accept` (string, required) - Only 'application/json' is allowed

## Responses

- `200` - OK
- `204` - No content
- `400` - Bad request

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Schiphol Public Flight API
  version: 4.2.0
servers:
  - url: https://{environment}.schiphol.nl/public/public-flights/v4
    variables:
      environment:
        enum:
          - api
          - api-acc
        default: api
paths:
  /destinations:
    get:
      summary: Retrieves list of destinations
      description: 'Retrieves list of destinations<br/><br/>If there are more pages of
        the result, header will contain custom String field - Link, which will
        contain URLs where other pages of the results can be reached.<br/>For
        example:<br/>Link:
        &lt;protocol://server_address:port/public-flights/resource&gt; ;
        rel="first",
        <br/>&lt;protocol://server_address:port/public-flights/resource?page=10&gt;
        rel="last",
        <br/>&lt;protocol://server_address:port/public-flights/resource?page=3&gt;
        rel="next",
        <br/>&lt;protocol://server_address:port/public-flights/resource?page=1&gt;
        rel="prev"<br/><br/>'
      operationId: getDestinations
      parameters:
        - $ref: "#/components/parameters/AcceptHeader"
        - name: page
          in: query
          description: Page number
          schema:
            maximum: 499
            minimum: 0
            type: integer
            format: int32
            default: 0
        - name: sort
          in: query
          description: Specifies which field to use for sorting. Allowed fields are
            publicName.dutch, publicName.english, iata, country and city.. Use
            plus or minus sign to indicate ascending or descending order.
          schema:
            pattern: ^((\+|-|
              )?(publicName\.dutch|publicName\.english|iata|country|city)(,|$))+$
            type: string
            default: +iata
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/DestinationList"
        "204":
          description: No content
          content: {}
        "400":
          description: Bad request
          content: {}
security:
  - bearerAuth: []
components:
  parameters:
    AcceptHeader:
      name: Accept
      in: header
      description: Only 'application/json' is allowed
      required: true
      style: simple
      schema:
        type: string
        example: application/json
  schemas:
    DestinationList:
      type: object
      properties:
        destinations:
          type: array
          items:
            $ref: "#/components/schemas/Destination"
    Destination:
      type: object
      properties:
        city:
          type: string
        country:
          type: string
        iata:
          type: string
        publicName:
          $ref: "#/components/schemas/PublicName"
    PublicName:
      type: object
      properties:
        dutch:
          type: string
        english:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
```
